Skip to content

Poll whether a challenge was answered

GET
/mfa/attempts/{attempt}/confirmed
curl --request GET \
--url https://work.optidata.cloud/api/mfa/attempts/example/confirmed \
--header 'Authorization: Bearer <token>'

Cheap poll used by the screen that is waiting for the user to confirm on their device.

attempt
required
string

Public identifier of the challenge.

Whether the challenge has been confirmed.

Media typeapplication/json
object
confirmed
required
boolean
Examples
Examplewaiting
{
"confirmed": false
}

Missing, malformed or expired authentication key.

Media typeapplication/json

Authentication failures use an error key rather than message.

object
error
required
string
Examples
Examplemissing

No bearer token sent

{
"error": "JWT passport exception: Missing bearer token in request"
}

The resource does not exist, or does not belong to the given drive.

Media typeapplication/json

Generic error envelope used by policy, binding and framework failures.

object
message
required

Human-readable description of the failure.

string
Examples
Examplemissing
{
"message": "No query results for model [App\\Models\\Node] 99999999"
}

Rate limit exceeded. Retry after the window resets.

Media typeapplication/json

Generic error envelope used by policy, binding and framework failures.

object
message
required

Human-readable description of the failure.

string
Examples
Examplethrottled
{
"message": "Too Many Attempts."
}